For the complete documentation index, see llms.txt. This page is also available as Markdown.

Darlehen

Darlehen abrufen

Version 1.0


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
Antworten
200

OK

CompanyCodeIdinteger · int32Optional
CompanyCodeCodestring · nullableOptional
LoanIdinteger · int32Optional
IdNumstring · nullableOptional
LenderIdinteger · int32Optional
LenderNamestring · nullableOptional
BorrowerIdinteger · int32Optional
BorrowerNamestring · nullableOptional
LoanTypeIdinteger · int32Optional
LoanTypeCodestring · nullableOptional
OwnReferencestring · nullableOptional
BankaccountIdinteger · int32Optional
BankaccountIbanstring · nullableOptional
CollateralSecurityIdinteger · int32Optional
CollateralSecurityCodestring · nullableOptional
SubsidiesLoanIdinteger · int32Optional
SubsidiesLoanCodestring · nullableOptional
PrecursorLoanIdinteger · int32 · nullableOptional
ContractDatestring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
DateOfFullPaymentstring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
CurrentDatestring · dateOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
NominalAsPerLandRegisternumber · decimal · nullableOptional
NominalCapitalnumber · decimal · nullableOptional
ResidualDebtnumber · decimalOptional
CalculationCapitalnumber · decimalOptional
MinTermFromstring · dateOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
FileNumberstring · nullableOptional
ContingentNumberstring · nullableOptional
RepaymentBlackoutPeriodstring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
CancellationPossibilityIdinteger · int32Optional
CancellationPossibilityCodestring · nullableOptional
AnnuityMixnumber · decimal · nullableOptional
DebtDiscountPercentnumber · decimal · nullableOptional
BuildingSavingSumnumber · decimal · nullableOptional
FollowerLoanIdinteger · int32 · nullableOptional
EndOfInterestFixingstring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
LastEndedInterestEntrystring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
get/openwowi/v1.0/Loans/LoanMasterData
GET /openwowi/v1.0/Loans/LoanMasterData HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "CompanyCodeId": 1,
    "CompanyCodeCode": "text",
    "LoanId": 1,
    "IdNum": "text",
    "LenderId": 1,
    "LenderName": "text",
    "BorrowerId": 1,
    "BorrowerName": "text",
    "LoanTypeId": 1,
    "LoanTypeCode": "text",
    "OwnReference": "text",
    "BankaccountId": 1,
    "BankaccountIban": "text",
    "CollateralSecurityId": 1,
    "CollateralSecurityCode": "text",
    "SubsidiesLoanId": 1,
    "SubsidiesLoanCode": "text",
    "PrecursorLoanId": 1,
    "ContractDate": "2026-10-15",
    "DateOfFullPayment": "2026-10-15",
    "CurrentDate": "2026-10-15",
    "NominalAsPerLandRegister": 1,
    "NominalCapital": 1,
    "ResidualDebt": 1,
    "CalculationCapital": 1,
    "MinTermFrom": "2026-10-15",
    "FileNumber": "text",
    "ContingentNumber": "text",
    "RepaymentBlackoutPeriod": "2026-10-15",
    "CancellationPossibilityId": 1,
    "CancellationPossibilityCode": "text",
    "AnnuityMix": 1,
    "DebtDiscountPercent": 1,
    "BuildingSavingSum": 1,
    "FollowerLoanId": 1,
    "EndOfInterestFixing": "2026-10-15",
    "LastEndedInterestEntry": "2026-10-15"
  }
]

Version 1.2


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample: 20
offsetinteger · int32Optional
loanIdinteger · int32Optional
loanIdNumstringOptional
loanTypeIdinteger · int32Optional
companyCodeIdinteger · int32Optional
companyCodeCodestringOptional
lenderIdinteger · int32Optional
lenderNumberstringOptional
borrowerIdinteger · int32Optional
borrowerNumberstringOptional
includeBankingbooleanOptionalDefault: false
includeObjectAssignmentbooleanOptionalDefault: false
includeConditionbooleanOptionalDefault: false
includeRepaymentPlanbooleanOptionalDefault: false
includeAdditionalFieldbooleanOptionalDefault: false
showNullValuesbooleanOptionalDefault: false
Antworten
200

OK

Idinteger · int32Optional
IdNumstring · nullableOptional
ContractDatestring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
DateOfFullPaymentstring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
CurrentDatestring · dateOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
NominalAsPerLandRegisternumber · decimal · nullableOptional
NominalCapitalnumber · decimal · nullableOptional
ResidualDebtnumber · decimalOptional
CalculationCapitalnumber · decimalOptional
MinTermFromstring · dateOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
FileNumberstring · nullableOptional
ContingentNumberstring · nullableOptional
RepaymentBlackoutPeriodstring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
AnnuityMixnumber · decimal · nullableOptional
DebtDiscountPercentnumber · decimal · nullableOptional
BuildingSavingSumnumber · decimal · nullableOptional
EndOfInterestFixingstring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
LastEndedInterestEntrystring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
OwnReferencestring · nullableOptional
get/openwowi/v1.2/Loans/Loan
GET /openwowi/v1.2/Loans/Loan HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "IdNum": "text",
    "CompanyCode": {
      "Id": 1,
      "Name": "text",
      "Code": "text"
    },
    "Borrower": {
      "Id": 1,
      "BorrowerNumber": "text"
    },
    "Lender": {
      "Id": 1,
      "LenderNumber": "text"
    },
    "LoanType": {
      "Id": 1,
      "Code": "text",
      "ShortCode": "text"
    },
    "CollateralSecurity": {
      "Id": 1,
      "Code": "text"
    },
    "ContractDate": "2026-10-15",
    "DateOfFullPayment": "2026-10-15",
    "CurrentDate": "2026-10-15",
    "NominalAsPerLandRegister": 1,
    "NominalCapital": 1,
    "ResidualDebt": 1,
    "CalculationCapital": 1,
    "MinTermFrom": "2026-10-15",
    "FileNumber": "text",
    "ContingentNumber": "text",
    "RepaymentBlackoutPeriod": "2026-10-15",
    "AnnuityMix": 1,
    "DebtDiscountPercent": 1,
    "BuildingSavingSum": 1,
    "EndOfInterestFixing": "2026-10-15",
    "LastEndedInterestEntry": "2026-10-15",
    "Banking": {
      "Id": 1,
      "UseVirtualIban": true,
      "VirtualIban": "text",
      "FormerVirtualIban": "text",
      "CollectiveAccount": {
        "NoRealBankAccount": true,
        "Iban": "text",
        "Bic": "text",
        "AccountHolder": "text"
      }
    },
    "OwnReference": "text",
    "BankAccount": {
      "Id": 1,
      "Iban": "text",
      "Bic": "text"
    },
    "SubsidiesLoan": {
      "Id": 1,
      "Code": "text"
    },
    "CancellationPossibility": {
      "Id": 1,
      "Code": "text"
    },
    "FollowerLoan": {
      "Id": 1,
      "IdNum": "text"
    },
    "PrecursorLoan": {
      "Id": 1,
      "IdNum": "text"
    },
    "Conditions": [
      {
        "Id": 1,
        "TermFrom": "2026-10-15",
        "TermTo": "2026-10-15",
        "Amount": 1,
        "Percentage": 1,
        "FirstMaturity": "2026-10-15",
        "NextMaturity": "2026-10-15",
        "FixedMaturity": "2026-10-15",
        "AmortizationSettingOff": "2026-10-15",
        "IsSpecialRepaymentAmortization": true,
        "LoanTermsType": {
          "Id": 1,
          "Code": "text"
        },
        "MaturityDateType": {
          "Id": 1,
          "Code": "text"
        },
        "PeriodOfPerformanceFrom": {
          "Id": 1,
          "Code": "text"
        },
        "PeriodOfPerformanceTo": {
          "Id": 1,
          "Code": "text"
        },
        "RoundingType": {
          "Id": 1,
          "Code": "text"
        },
        "LoanBase": {
          "Id": 1,
          "Code": "text"
        },
        "ChangeReasonCostItem": {
          "Id": 1,
          "Code": "text"
        },
        "MaturityPeriod": {
          "Id": 1,
          "Code": "text"
        }
      }
    ],
    "AnnuityHeader": [
      {
        "Id": 1,
        "AnnuityPerMaturity": 1,
        "TermFrom": "2026-10-15",
        "TermTo": "2026-10-15",
        "Conditions": [
          {
            "Id": 1,
            "TermFrom": "2026-10-15",
            "TermTo": "2026-10-15",
            "Amount": 1,
            "Percentage": 1,
            "FirstMaturity": "2026-10-15",
            "NextMaturity": "2026-10-15",
            "FixedMaturity": "2026-10-15",
            "AmortizationSettingOff": "2026-10-15",
            "IsSpecialRepaymentAmortization": true,
            "LoanTermsType": {
              "Id": 1,
              "Code": "text"
            },
            "MaturityDateType": {
              "Id": 1,
              "Code": "text"
            },
            "PeriodOfPerformanceFrom": {
              "Id": 1,
              "Code": "text"
            },
            "PeriodOfPerformanceTo": {
              "Id": 1,
              "Code": "text"
            },
            "RoundingType": {
              "Id": 1,
              "Code": "text"
            },
            "LoanBase": {
              "Id": 1,
              "Code": "text"
            },
            "ChangeReasonCostItem": {
              "Id": 1,
              "Code": "text"
            },
            "MaturityPeriod": {
              "Id": 1,
              "Code": "text"
            }
          }
        ]
      }
    ],
    "ObjectAssignments": [
      {
        "Id": 1,
        "NominalAmount": 1,
        "EconomicUnit": {
          "Id": 1,
          "IdNum": "text",
          "Name": "text",
          "Location": "text"
        },
        "ObjectAllocationType": {
          "Id": 1,
          "Code": "text"
        }
      }
    ],
    "RepaymentPlan": [
      {
        "Id": 1,
        "Maturity": "2026-10-15",
        "RestDebt": 1,
        "CalculationCapital": 1,
        "AnnuityAmount": 1,
        "Amortization": 1,
        "Interest": 1,
        "AdministrativeCost": 1,
        "GuaranteeFee": 1,
        "NonStandardAmortization": 1,
        "Validation": 1,
        "IsPastPeriod": true,
        "PaymentAmount": 1,
        "ResidualDebtNextPeriod": 1
      }
    ],
    "AdditionalFields": [
      {
        "Name": "text",
        "Content": "text",
        "Type": "text"
      }
    ]
  }
]

Zuletzt aktualisiert